clear all;
clc;
syms t;
syms s;
% Ismert adatok
c = 0.3;            % fnysebessg
Z0 = 50;            % hullmimpedancia
h = 35;             % vezetkhossz
T = h/c;            % befutsi id
T1 = 0;             % brzolsi id kezdete
T2 = 3*T;           % brzolsi id vge
time = [T1, T2];    % brzolsi intervallum
R = 80;             % lezr soros ellenlls
C = 47e-3;          % lezr soros kapacits
% Gerjeszts
U0 = 1000;
% Reflexis tnyezk
Z = R + 1/(s*C);
r = (Z+Z0)/(Z-Z0);
%Megolds
I0 = U0/s/(Z-Z0);
I1 = I0 *(1 + (r-1)*exp(-s*2*T));
i1 = ilaplace(I1);
% brzols
figure(1)
ez2 = ezplot(matlabFunction(i1),[T1,T2,-20,60]);
set(ez2,'color','red');
set(ez2,'LineWidth',2.5);
title('ram')
xlabel('t [ns]');
ylabel('i1(t) [mA]');
grid;








